#include<iostream>
#include<cmath>
using namespace std;

int main() {
    int n, x, right = 0, left = 0, komPos, xl, xr, res;
    bool hasL = false, hasR = false;
    cin >> n >> x;
    for(int i=0; i<n; i++) {
        cin >> komPos;
        if(komPos > x) {
            if(!hasR) {
                right = komPos;
                hasR = true;
            }
            else if(komPos > right) right = komPos;
        }
        else {
            if(!hasL) {
                left = komPos;
                hasL = true;
            }
            else if(komPos < left) left = komPos;
        }
    }
    xl = abs(left - x);
    xr = abs(right - x);
    if(!hasL) res = xr;
    else if(!hasR) res = xl;
    else {
        if(xr > xl) {
            res = 2*xl + xr;
        }
        else res = 2*xr + xl;
    }
    cout << res;

    return 0;
}